Bug 1300705 - Slow auto-attach for development (cdk) pools
Slow auto-attach for development (cdk) pools
Status: CLOSED CURRENTRELEASE
Product: Candlepin
Classification: Community
Component: candlepin (Show other bugs)
0.9.51
Unspecified Unspecified
high Severity medium
: ---
: ---
Assigned To: Michael Stead
Katello QA List
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-21 08:51 EST by Michael Stead
Modified: 2016-07-22 10:39 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-22 10:39:33 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Stead 2016-01-21 08:51:54 EST
Description of problem:

Developer consumer auto-attach is taking a long time (1 - 2 minutes) on some deployments.


Version-Release number of selected component (if applicable):
0.9.51.14

How reproducible:
100%

Steps to Reproduce:
1. Register (+ auto-attach) a development consumer against a candlepin instance that has a very large number of pools (stage).

sudo subscription-manager register --user YOUR_USER --password YOUR_PASS --auto-attach

Actual results:
Registration + auto-attach can take quite some time to complete.

Expected results:
Should not take this long to register and auto-attach a dev entitlement.

Additional info:

This bug is directly related to the number of pools that exist on a candlepin instance and appears to be related to the query that checks for an existing dev pool associated with a consumer on auto-attach.
Comment 1 Michael Stead 2016-01-21 08:54:45 EST
It is important to note that this bug is not applicable to an auto-attach with a standard consumer, and is only seen when auto-attaching with a dev consumer.
Comment 2 Michael Stead 2016-01-25 12:24:42 EST
Updated the query to filter pools by the consumer's owner.

Total time for registration + auto-attach for developer consumer now at around 18s.
Comment 3 Tramaine Darby 2016-01-26 09:52:31 EST
Fix deployed to production on 1/25/2016 - 0.9.51.15
Comment 4 Barnaby Court 2016-07-22 10:39:33 EDT
Moving to closed per the updated candlepin process for bugs that have been merged or have been taken care of.

Note You need to log in before you can comment on or make changes to this bug.